<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>Room</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Room";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Room.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/map/Room.html" target="_top">Frames</a></li>
<li><a href="Room.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic.map</div>
<h2 title="Class Room" class="title">Class Room</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.logic.map.Room</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Room</span>
extends java.lang.Object</pre>
<div class="block">A class which represents a room.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#description">description</a></span></code>
<div class="block">the description of the room</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#enemies">enemies</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Map&lt;java.lang.String,<a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#exits">exits</a></span></code>
<div class="block">the exits to where the user can go from this room</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#items">items</a></span></code>
<div class="block">A list with all items which are in the room</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#Room-java.lang.String-">Room</a></span>(java.lang.String&nbsp;description)</code>
<div class="block">Create a room described "description".</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#addEnemy-ch.sebi.zuul.logic.player.Player...-">addEnemy</a></span>(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>...&nbsp;enemies)</code>
<div class="block">Adds enemies to the room</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#addExit-ch.sebi.zuul.logic.map.Exit-">addExit</a></span>(<a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a>&nbsp;e)</code>
<div class="block">Adds an exits to the room</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#addExit-java.lang.String-ch.sebi.zuul.logic.map.Room-">addExit</a></span>(java.lang.String&nbsp;name,
       <a href="../../../../../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a>&nbsp;room)</code>
<div class="block">Adds an exit with the given name and room
 to the room</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#addItem-ch.sebi.zuul.logic.items.Item-int-">addItem</a></span>(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;i,
       int&nbsp;amount)</code>
<div class="block">Adds an item to this room</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#containsItem-ch.sebi.zuul.logic.items.Item-">containsItem</a></span>(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</code>
<div class="block">Checks if an item is present in this room</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#getDescription--">getDescription</a></span>()</code>
<div class="block">Return the description of the room (the one that was defined
 in the constructor).</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#getEnemies--">getEnemies</a></span>()</code>
<div class="block">Returns all enemies in this room</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#getExit-java.lang.String-">getExit</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the exit if it exits or null</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#getExits--">getExits</a></span>()</code>
<div class="block">Returns all exits to where the user can go from this room</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#getItems--">getItems</a></span>()</code>
<div class="block">Returns all items present in this room</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#getItemSlot-ch.sebi.zuul.logic.items.Item-">getItemSlot</a></span>(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</code>
<div class="block">Returns the item slot for the given item or null if the item does not exist</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#removeEnemy-ch.sebi.zuul.logic.player.Player-">removeEnemy</a></span>(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;enemy)</code>
<div class="block">Removes an enemy from the room</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/map/Room.html#removeItem-ch.sebi.zuul.logic.items.Item-int-">removeItem</a></span>(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;i,
          int&nbsp;amount)</code>
<div class="block">Decrements the amount counter of an item until it is zero or below.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="description">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>private&nbsp;java.lang.String description</pre>
<div class="block">the description of the room</div>
</li>
</ul>
<a name="exits">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exits</h4>
<pre>private&nbsp;java.util.Map&lt;java.lang.String,<a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a>&gt; exits</pre>
<div class="block">the exits to where the user can go from this room</div>
</li>
</ul>
<a name="items">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>items</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>&gt; items</pre>
<div class="block">A list with all items which are in the room</div>
</li>
</ul>
<a name="enemies">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>enemies</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&gt; enemies</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Room-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Room</h4>
<pre>public&nbsp;Room(java.lang.String&nbsp;description)</pre>
<div class="block">Create a room described "description". Initially, it has
 no exits. "description" is something like "a kitchen" or
 "an open court yard".</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addExit-ch.sebi.zuul.logic.map.Exit-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addExit</h4>
<pre>public&nbsp;void&nbsp;addExit(<a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a>&nbsp;e)</pre>
<div class="block">Adds an exits to the room</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - the exit</dd>
</dl>
</li>
</ul>
<a name="addExit-java.lang.String-ch.sebi.zuul.logic.map.Room-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addExit</h4>
<pre>public&nbsp;<a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a>&nbsp;addExit(java.lang.String&nbsp;name,
                    <a href="../../../../../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a>&nbsp;room)</pre>
<div class="block">Adds an exit with the given name and room
 to the room</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name which is displayed to the user where he can go</dd>
<dd><code>room</code> - the room to where the exit goes</dd>
</dl>
</li>
</ul>
<a name="getExits--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExits</h4>
<pre>public&nbsp;<a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a>[]&nbsp;getExits()</pre>
<div class="block">Returns all exits to where the user can go from this room</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the exits</dd>
</dl>
</li>
</ul>
<a name="getExit-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExit</h4>
<pre>public&nbsp;<a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a>&nbsp;getExit(java.lang.String&nbsp;name)</pre>
<div class="block">Returns the exit if it exits or null</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the eixt</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the exit or null</dd>
</dl>
</li>
</ul>
<a name="getDescription--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescription</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDescription()</pre>
<div class="block">Return the description of the room (the one that was defined
 in the constructor).</div>
</li>
</ul>
<a name="addItem-ch.sebi.zuul.logic.items.Item-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addItem</h4>
<pre>public&nbsp;void&nbsp;addItem(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;i,
                    int&nbsp;amount)</pre>
<div class="block">Adds an item to this room</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - the item</dd>
<dd><code>amount</code> - how many of the item should be added</dd>
</dl>
</li>
</ul>
<a name="removeItem-ch.sebi.zuul.logic.items.Item-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeItem</h4>
<pre>public&nbsp;boolean&nbsp;removeItem(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;i,
                          int&nbsp;amount)</pre>
<div class="block">Decrements the amount counter of an item until it is zero or below.
 If this point is reached then the item slot is removed from the room</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - the item</dd>
<dd><code>amount</code> - the amount by which is is removed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="containsItem-ch.sebi.zuul.logic.items.Item-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>containsItem</h4>
<pre>public&nbsp;boolean&nbsp;containsItem(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</pre>
<div class="block">Checks if an item is present in this room</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - the item</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if the item is in this room</dd>
</dl>
</li>
</ul>
<a name="getItemSlot-ch.sebi.zuul.logic.items.Item-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemSlot</h4>
<pre>private&nbsp;<a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>&nbsp;getItemSlot(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</pre>
<div class="block">Returns the item slot for the given item or null if the item does not exist</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - the item for which the item slot is returned</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the item slot or null if the item is not present in this room</dd>
</dl>
</li>
</ul>
<a name="getItems--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItems</h4>
<pre>public&nbsp;<a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>[]&nbsp;getItems()</pre>
<div class="block">Returns all items present in this room</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all items</dd>
</dl>
</li>
</ul>
<a name="addEnemy-ch.sebi.zuul.logic.player.Player...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addEnemy</h4>
<pre>public&nbsp;void&nbsp;addEnemy(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>...&nbsp;enemies)</pre>
<div class="block">Adds enemies to the room</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enemies</code> - the enemies which are added</dd>
</dl>
</li>
</ul>
<a name="removeEnemy-ch.sebi.zuul.logic.player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeEnemy</h4>
<pre>public&nbsp;void&nbsp;removeEnemy(<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>&nbsp;enemy)</pre>
<div class="block">Removes an enemy from the room</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enemy</code> - removes the enemy</dd>
</dl>
</li>
</ul>
<a name="getEnemies--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnemies</h4>
<pre>public&nbsp;<a href="../../../../../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a>[]&nbsp;getEnemies()</pre>
<div class="block">Returns all enemies in this room</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Room.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/map/Room.html" target="_top">Frames</a></li>
<li><a href="Room.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
